Jump to content
zpupster

ups xml version?

Recommended Posts

Hello support,

I am testing oscommerce 2341Ce -frozen using php 7.1

I am looking for UPSXML latest version that works.

I tried UPSXML 1.5 and tried trouble shooting the errors but could not succeed.

I tried UPS Choice 1.83 with this error:

Fatal error: Uncaught Error: Class 'httpClient' not found in ........../includes/modules/shipping/ups.php on line 265

I tried the this fix but no success:

if ($http->Connect('www.ups.com', 80)) {
To....
if ($http->Connect('ssl://www.ups.com', 443))

Has anyone had success with UPS addon for oscommerce 2341Ce -frozen using php 7.1

Share this post


Link to post
Share on other sites
3 hours ago, zpupster said:

I tried UPS Choice 1.83 with this error:

Find this line in the includes/modules/shipping/ups.com file

$http = new httpClient();

and add this above it if it isn't there

      if (!class_exists('httpClient')) {
         include('includes/classes/http_client.php');
      } 

Then make sure the include('includes/classes/http_client.php is there. 

The latest UPS XML module should work but it a much more difficult installation than UPS Choice so you may have made a mistake in the installation.

 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×